// packageA//pages/goods_share/goods_share.js
var app=getApp(),oo = app.globalData.setting,os=oo,ut = require("../../../utils/util.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {	
		//促销页tab
		tab2: ['正在直播','即将开始','精彩回放'],
		currentIndex2: 0,
		//popup
		hiddenPopup: true,
		
		list:[],
		is_load:0,     //是否正在加载
		is_no_data:0,  //没有数据
		is_no_more:0,  //没有更多数据
		key_str:'',
		currentPage:1,  //当前的页码	
		share_hidden:1,  //-- 分享的按钮隐藏 --
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
	  var th=this;
	  //接受有没有导购的参数
	  var first_leader=options.first_leader;
	  var StaffId=options.StaffId;
	  var StorageId=options.StorageId;
	  if(first_leader){
	  		  //--  user_id代过来免登录 --
	          getApp().globalData.user_id=first_leader;
	  		  getApp().getUserFir();
			  //设置分享会员和导购id和归属门店ID
			  this.setData({first_leader:first_leader,StaffId:StaffId,StorageId:StorageId});
	   }
	   this.requestGoodsList();	   

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
      //getApp().check_can_share();
	ut.close_menu();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  // onPullDownRefresh: function () {

  // },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
   onShareAppMessage: function () {   	  getApp().globalData.no_clear=1;
	  var th=this;
	  var id=th.data.hui_active.id;
	  var url='/packageA/pages/liveStreamDetails/liveStreamDetails?id=' + id + '&live=ing';
	  if(getApp().globalData.user_id){
	      url+="&first_leader="+getApp().globalData.user_id;
	  }	 		  
	  var title=th.data.hui_active.name;
	  var img=th.data.hui_active.share_img;	  
	  var ob={
	    title:title,
	    path:url,
	    imageUrl: img,
	  };	
	  th.setData({share_hidden:1});	  				   
	  th.insert_live_share(title,id);		   
			   
	  return ob;		  
  },
		

	// 点击tab
	clickTab2(e) {		
		if(this.data.currentIndex2!=e.target.dataset.index){
			this.setData({
				currentIndex2: e.target.dataset.index,is_no_data:0,is_no_more:0,list:[],
			});
			this.data.is_load=0;
			this.data.currentPage=1;	
			this.requestGoodsList();	
		}		
	},
	
	// 关闭弹出层
	closePopup() {
		this.setData({
			hiddenPopup: true
		});
	},
	// 显示弹出层
	showPopup() {
		this.setData({
			hiddenPopup: false
		});
	},
	
	requestGoodsList:function(){
		var th=this;		
		if(th.data.is_load) return false;    //-- 正在加载
		if(th.data.is_no_data) return false; //-- 没有数据
		if(th.data.is_no_more) return false; //-- 没有更多
		th.data.is_load=1;
		
		var url="/api/weshop/wx/livelist/page";
		var req_data={
			page:this.data.currentPage,
			store_id:oo.stoid,
		}		
		switch(th.data.currentIndex2){
			case 0:
			  req_data.live_status=101;
			  break;
			case 1:
			  req_data.live_status=102;
			  break;
			case 2:
			  req_data.live_status=103;
			  break;   
		}	
		if(this.data.key_str && this.data.key_str.trim()){
			var str=this.data.key_str.trim();
			req_data.key_str=str;
		}
		//-- ---调用接口----
	    app.request.promiseGet(url,{data:req_data,isShowLoading:1}).then(res=>{			
			th.data.is_load=0;
			if(res.data.code==0 && res.data.data.pageData && res.data.data.pageData.length>0){
				 th.data.currentPage++;
				 var data=res.data.data.pageData;				 
				 if(res.data.data.page*10>res.data.data.total){th.setData({is_no_more:1});}		  									 
				 var list=th.data.list;
				 list=list.concat(data);
				 th.setData({list:list});
			}else{
				if(th.data.currentPage==1){
					th.setData({is_no_data:1});
				}
			}		   
	    })		
	},
	
	//---点击分享优惠活动---
	share_index:function(e){	
		
		//--先判断会员状态--
		// var user_info = getApp().globalData.userInfo;
		// if (user_info == null || user_info.mobile == undefined || user_info.mobile == "" || user_info.mobile == null) {
		//   //getApp().my_warnning("请先登录",0,this);
		//   wx.navigateTo({ url: '/packageE/pages/togoin/togoin', })
		//   return false;
		// }
		
		var index=e.currentTarget.dataset.index;
		var item=this.data.list[index];
		this.setData({share_hidden:0,hui_active:item});
		
		var com = this.selectComponent("#share_button"); //组件的id
		com.set_type(1); 
	},
	//-- ---更多加载----
	refresh:function(){
	   this.requestGoodsList();
	},
	
	cancel:function(){
		this.setData({share_hidden:1});
	},
	go_live:function(e){
		var index=e.currentTarget.dataset.index;
		var item=this.data.list[index];
		var url='/packageA/pages/liveStreamDetails/liveStreamDetails?id=' + item.id + '&live=ing';
		getApp().goto(url);
	},
	
	//-- 推送活动分享 --
	insert_live_share:function(title,actid){
			 var th = this;	 		 	 
			 var url="/api/weshop/sharetypeList/save";
			 var req_data={
			 	shareActId:actid,
			 	shareActName:title,
				shareType:7,
				shareUserId:th.data.first_leader,
				shareStaffId:th.data.StaffId,
				shareStorageId:th.data.StorageId,
				shareTime:ut.gettimestamp(),
				storeId:os.stoid,
				ShareActNo:actid
			 }
			 //插入数据
			 getApp().request.post(url,{
				 data:req_data,
				 success:function(){}
			 })
			 
			 //收入线下数据
			 req_data.userId=th.data.first_leader;
			 delete req_data.shareUserId;
			 //插入数据
			 getApp().request.post('/api/weshop/MdShareType/saveShare',{
				 data:req_data,
				 success:function(){}
			 })
			 
	}
	
	
	
	
})